ReplicationManagerStartPolicy (Oracle - Berkeley DB Java API)
Date: 2011-10-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationManagerStartPolicy

    java.lang.Object
      com.sleepycat.db.ReplicationManagerStartPolicy

    public final class ReplicationManagerStartPolicy

extends Object

This class provides definitions of the various start policies thatcan be specified when starting a replication client using the`Environment.replicationManagerStart` call.

Field Summary
`static ReplicationManagerStartPolicy` | `REP_CLIENT` Start as a client site, and do not call for an election.
`static ReplicationManagerStartPolicy` | `REP_ELECTION` Start as a client, and call for an election if no master is found.
`static ReplicationManagerStartPolicy` | `REP_MASTER` Start as a master site, and do not call for an election.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REP_MASTER

    public static final ReplicationManagerStartPolicy REP_MASTER

  Start as a master site, and do not call for an election. Note there must never be more than a single master in any replication group, and only one site should ever be started with the DB_REP_MASTER flag specified.

### REP_CLIENT

    public static final ReplicationManagerStartPolicy REP_CLIENT

  Start as a client site, and do not call for an election.

### REP_ELECTION

    public static final ReplicationManagerStartPolicy REP_ELECTION

  Start as a client, and call for an election if no master is found.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.